package jalview.schemes;

import static org.testng.Assert.assertEquals;

import jalview.io.DataSourceType;
import jalview.io.FileParse;
import jalview.io.HMMFile;

import java.awt.Color;
import java.io.IOException;
import java.net.MalformedURLException;

import org.testng.annotations.Test;

public class HMMERColourSchemeTest {
  HMMERColourScheme scheme = new HMMERColourScheme();

  @Test
  public void testFindColour() throws MalformedURLException, IOException
  {

    HMMFile file = new HMMFile(new FileParse(
            "test/jalview/io/test_PKinase_hmm.txt", DataSourceType.FILE));

    scheme.hmm = file.getHMM();
    Color expected;

    Color actual = scheme.findColour('A', 1, null, null, 0);
    assertEquals(actual, Color.ORANGE);

    actual = scheme.findColour('Y', 3, null, null, 0);
    assertEquals(actual, Color.ORANGE);

    actual = scheme.findColour('M', 109, null, null, 0);
    expected = new Color(230, 0, 0);
    assertEquals(actual, expected);

    actual = scheme.findColour('I', 6, null, null, 0);
    expected = new Color(171, 171, 255);
    assertEquals(actual, expected);

    actual = scheme.findColour('V', 14, null, null, 0);
    expected = new Color(129, 129, 255);
    assertEquals(actual, expected);

    actual = scheme.findColour('X', 100000000, null, null, 0);
    assertEquals(actual, Color.WHITE);


  }

}
